<template>
<section class="Recuperacao-page">
  <div class="Recuperacao-box Recuperacao-sidebar">
    <div class="white-box">

      <form class="form-horizontal" id="Recuperacaoform" action="index.html">
        <el-form :model="Login" :rules="Regras" ref="Login" >

          <el-alert title="Preencher Campos" type="error" description="Favor Preencher o campo corretamente" v-if="Login.AlertPreenchimento" show-icon></el-alert>
          <el-alert title="Sucesso" description="Email de recuperação enviado" type="success" v-if="Login.Alert" show-icon></el-alert>
        
        <div class="row mt-5">
          <div class="col-12 text-center">
            <img src="@/assets/logo-icon.png" alt="" />
          </div>           
        </div>
        
          <el-form-item label="Email:" prop="Email">
            <el-input v-model="Login.Email" placeholder="Insira um email para recuperação" clearable></el-input>
          </el-form-item>
        
        <div class="form-group text-center">
          <div class="col-xs-12">
            <el-button type="primary"  @click="submitForm('Login')" >Enviar</el-button>
          </div>
        </div>

        <div class="form-group">
            <div class="col-sm-12 text-center">
                <p class="p2">Voltar para tela de: <a href="#" class="text-primary"><b ><router-link to="/Login" class="b2">Login</router-link></b></a></p>
            </div>
        </div>
        
      </el-form>
      </form>

    </div>
  </div>
</section>
</template>

<script>
  export default {
    data() {
      return {
        Login: {
          Email:'',
          Alert: '',
          AlertPreenchimento: ''
        },
        Regras: {
          Email: [
            { required: true, message: 'Insira um e-mail', trigger: 'blur' },
            { type: 'email', message: 'Inserir endereço de e-mail valido', trigger: 'blur,change' }
          ]       
        }
      };
    },
    methods: {
      submitForm(Login) {
        this.Login.AlertPreenchimento=false;
        this.Login.Alert=false;
        this.$refs[Login].validate((valid) => {
          if (valid) {
            this.Login.Alert=true;
            }else {
            this.Login.AlertPreenchimento=true;
            return false;
          }
        });
      },
    }
  }
</script>

<style scoped>
.Recuperacao-page{
  background:url(../assets/img/negocios2.jpeg) no-repeat center center / cover !important;
  height:100%;
  position:fixed;
  width:100%;  
  margin:0 auto;
  box-shadow:1px 0px 50px rgba(0,0,0,0.2);
}
.Recuperacao-box{
  background:#1A2A40;
  opacity: 0.7;
  filter: alpha(opacity=50); /* For IE8 and earlier */
  width:400px;
  margin:0 auto;
  margin-top:10%;
}
.Recuperacao-sidebar {
    position: absolute;
    right: 0px;
    margin-top: 0px;
    height: 100%;
}

.white-box{ 
    background:#1A2A40;
    padding:25px;
    margin-bottom:15px;
}
.p2{
  color:#FFFFFF 
}
.b2{
   color:#1E90FF
}
</style>

